#if !defined(AFX_PNPROGRESSDLG_H__78385157_05F3_11D4_9F8E_080009EE62AA__INCLUDED_)
#define AFX_PNPROGRESSDLG_H__78385157_05F3_11D4_9F8E_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PNProgressDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPNProgressDlg dialog

class CPNProgressDlg : public CDialog
{
// Construction
public:
	void Reset( int Min=0, int Max=100 );
	bool SetPos( int Pos, LPCSTR Label=0 );
	
	bool m_bCancel;
	bool WasCancelled();

	// We modified constructor below, to require parent window
	CPNProgressDlg(CWnd* pParent /*= NULL*/);   // standard constructor
	~CPNProgressDlg();

// Dialog Data
	//{{AFX_DATA(CPNProgressDlg)
	enum { IDD = IDD_PROGRESSDLG };
	CProgressCtrl	m_Prog;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPNProgressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPNProgressDlg)
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PNPROGRESSDLG_H__78385157_05F3_11D4_9F8E_080009EE62AA__INCLUDED_)
